---
title: Update Push Content
description: The PUT {{apiPath}}/v1/environments/{{envID}}/templates/{{templateName}}/contents/{{contentID}} operation updates an existing customized content resource associated with the template specified in the request URL.
component: pingone-api
page_id: pingone-api:platform:notifications/notifications-templates/update-push-content
canonical_url: https://developer.pingidentity.com/pingone-api/platform/notifications/notifications-templates/update-push-content.html
section_ids:
  prerequisites: Prerequisites
  headers: Headers
  body: Body
  example-request: Example Request
  example-response: Example Response
---

# Update Push Content

##

```none
PUT {{apiPath}}/v1/environments/{{envID}}/templates/{{templateName}}/contents/{{contentID}}
```

The `PUT {{apiPath}}/v1/environments/{{envID}}/templates/{{templateName}}/contents/{{contentID}}` operation updates an existing customized content resource associated with the template specified in the request URL.

In addition, the variables restrictions should apply.

|   |                                                                                                                                                                                         |
| - | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|   | Before you create or update a custom content, you should always do a [GET Read One Template](read-one-template.html) on the notification template to determine its supported variables. |

### Prerequisites

* Refer to [Notifications](../../notifications.html) for important overview information.

* Use [Read All Templates](read-all-templates.html) to retrieve a list of all notifications templates associated with the environment and select the specific `templateName` for the endpoint. For more information, refer to [Notifications Templates](../notifications-templates.html).

> **Collapse: Request Model**
>
> | Property         | Type   | Required? |
> | ---------------- | ------ | --------- |
> | `body`           | String | Required  |
> | `deliveryMethod` | String | Required  |
> | `locale`         | String | Required  |
> | `title`          | String | Optional  |
>
> Refer to the [Notifications templates property data models](../notifications-templates.html#notifications-templates-properties) for full property descriptions.

### Headers

Authorization      Bearer {{accessToken}}

Content-Type      application/json

### Body

raw ( application/json )

```json
{
    "locale": "en-gb",
    "title": "Push Message",
    "body": "${user.username}, you have a new authentication request.",
    "deliveryMethod": "Push"
}
```

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff --request PUT '{{apiPath}}/v1/environments/{{envID}}/templates/{{templateName}}/contents/{{contentID}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{accessToken}}' \
--data '{
    "locale": "en-gb",
    "title": "Push Message",
    "body": "${user.username}, you have a new authentication request.",
    "deliveryMethod": "Push"
}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envID}}/templates/{{templateName}}/contents/{{contentID}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Put);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer {{accessToken}}");
var body = @"{" + "\n" +
@"    ""locale"": ""en-gb""," + "\n" +
@"    ""title"": ""Push Message""," + "\n" +
@"    ""body"": ""${user.username}, you have a new authentication request.""," + "\n" +
@"    ""deliveryMethod"": ""Push""" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/environments/{{envID}}/templates/{{templateName}}/contents/{{contentID}}"
  method := "PUT"

  payload := strings.NewReader(`{
    "locale": "en-gb",
    "title": "Push Message",
    "body": "${user.username}, you have a new authentication request.",
    "deliveryMethod": "Push"
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Content-Type", "application/json")
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
PUT /v1/environments/{{envID}}/templates/{{templateName}}/contents/{{contentID}} HTTP/1.1
Host: {{apiPath}}
Content-Type: application/json
Authorization: Bearer {{accessToken}}

{
    "locale": "en-gb",
    "title": "Push Message",
    "body": "${user.username}, you have a new authentication request.",
    "deliveryMethod": "Push"
}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n    \"locale\": \"en-gb\",\n    \"title\": \"Push Message\",\n    \"body\": \"${user.username}, you have a new authentication request.\",\n    \"deliveryMethod\": \"Push\"\n}");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/environments/{{envID}}/templates/{{templateName}}/contents/{{contentID}}")
  .method("PUT", body)
  .addHeader("Content-Type", "application/json")
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v1/environments/{{envID}}/templates/{{templateName}}/contents/{{contentID}}",
  "method": "PUT",
  "timeout": 0,
  "headers": {
    "Content-Type": "application/json",
    "Authorization": "Bearer {{accessToken}}"
  },
  "data": JSON.stringify({
    "locale": "en-gb",
    "title": "Push Message",
    "body": "${user.username}, you have a new authentication request.",
    "deliveryMethod": "Push"
  }),
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'PUT',
  'url': '{{apiPath}}/v1/environments/{{envID}}/templates/{{templateName}}/contents/{{contentID}}',
  'headers': {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer {{accessToken}}'
  },
  body: JSON.stringify({
    "locale": "en-gb",
    "title": "Push Message",
    "body": "${user.username}, you have a new authentication request.",
    "deliveryMethod": "Push"
  })

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests
import json

url = "{{apiPath}}/v1/environments/{{envID}}/templates/{{templateName}}/contents/{{contentID}}"

payload = json.dumps({
  "locale": "en-gb",
  "title": "Push Message",
  "body": "${user.username}, you have a new authentication request.",
  "deliveryMethod": "Push"
})
headers = {
  'Content-Type': 'application/json',
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("PUT", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envID}}/templates/{{templateName}}/contents/{{contentID}}');
$request->setMethod(HTTP_Request2::METHOD_PUT);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Content-Type' => 'application/json',
  'Authorization' => 'Bearer {{accessToken}}'
));
$request->setBody('{\n    "locale": "en-gb",\n    "title": "Push Message",\n    "body": "${user.username}, you have a new authentication request.",\n    "deliveryMethod": "Push"\n}');
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("{{apiPath}}/v1/environments/{{envID}}/templates/{{templateName}}/contents/{{contentID}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Put.new(url)
request["Content-Type"] = "application/json"
request["Authorization"] = "Bearer {{accessToken}}"
request.body = JSON.dump({
  "locale": "en-gb",
  "title": "Push Message",
  "body": "\${user.username}, you have a new authentication request.",
  "deliveryMethod": "Push"
})

response = http.request(request)
puts response.read_body
```

```swift
let parameters = "{\n    \"locale\": \"en-gb\",\n    \"title\": \"Push Message\",\n    \"body\": \"${user.username}, you have a new authentication request.\",\n    \"deliveryMethod\": \"Push\"\n}"
let postData = parameters.data(using: .utf8)

var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envID}}/templates/{{templateName}}/contents/{{contentID}}")!,timeoutInterval: Double.infinity)
request.addValue("application/json", forHTTPHeaderField: "Content-Type")
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "PUT"
request.httpBody = postData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "_links": {
        "self": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/templates/strong_authentication/contents/4afe5f64-044c-44b3-b73a-359cc90ea65b"
        },
        "template": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/templates/strong_authentication"
        },
        "environment": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
        }
    },
    "id": "4afe5f64-044c-44b3-b73a-359cc90ea65b",
    "environment": {
        "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
    },
    "createdAt": "2020-12-12T00:21:02.241Z",
    "updatedAt": "2021-01-14T05:55:18.524Z",
    "locale": "en-gb",
    "template": {
        "id": "strong_authentication"
    },
    "title": "Push Message",
    "body": "${user.username}, you have a new authentication request.",
    "deliveryMethod": "Push",
    "default": false
}
```
